*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    background-color: aliceblue;
}
@font-face{
    font-family: jet-bold;
    src: url("../fonts/Jet-Bold.ttf");
}
@font-face{
    font-family: jet-light;
    src: url("../fonts/Jet-Light.ttf");
}
@font-face{
    font-family: jet;
    src: url("../fonts/Jet.ttf"); 
}
@font-face{
    font-family: jet-black;
    src: url("../fonts/Jet-Black.ttf");
}

.tittles{
    font-family: jet-black;
    color: #ff0000;
    font-size: 3rem;
}
.light{
    font-family: jet-light;
    color: red;
}

/* ---------------------------------------------------estilos del preliminar---------------------------------------------- */
.preliminar{
    display: flex;
    justify-content: center;
    height: 14vh;
    padding-top: 5px;
    background-color: white;
}
.preliminar_int{
    display: flex;
    justify-content: space-between;
    /* border: solid black; */
    width: 90%;
}
.preliminar-detalle{
    /* border: solid black; */
    display: flex;
    width: 20%;
    justify-content: space-around;
    height: fit-content;
    margin-top: 8px;
}
#ancho1{
    width: 40%;
}
.ancho1-caja{
    /* border: solid black; */
    display: flex;
    align-items: center;
    font-family: jet-light;
}
.redes{
    width: 50px;
    /* border: solid black; */
}
.flex-flex{
    display: flex;
    /* border: solid black; */
}
/* ------------------------------------------------------estilos del header---------------------------------------------------- */
.header{
    position: absolute;
    top: 7vh;
    z-index: 1;
    left: 50%;
    right: 50%;
    transform: translate(-50%, 10%);
    width: 87%;
    background-color: white;
    box-shadow: 0 0 30px 3px rgba(0, 0, 0, 0.096);
    background-color: #171516;
    color: white;
}
.logo_int{
    display: flex;
    align-items: center;
    gap: 10px;
}
.logo_int p{
    font-size: 2rem;
    font-family: jet-black;
}
.header_flex{
    border: solida blue;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-left: 30px;
    padding-right: 30px;
    height: 12vh;
}
.logo_box{
    /* border: solid yellow; */
    width: fit-content;
    height: fit-content;
}

.logo{
    margin-top: 6px;
    width: 50px;
}
.nav_box{
    height: fit-content;
}
.nav ul{
    list-style: none;
    display: flex;
    gap: 15px;
}
.nav ul li a{
    text-decoration: none;
    transition: .3s;
    font-family: jet-light;
}
.nav ul .option a{
    color: white;
}
.nav ul li a:hover{
    color: #d7c6ac;
    transition: .3s ;
    border-bottom: 1px solid #d7c6ac;
}
.option{
    color: white;
}
.position{
    color: #d7c6ac;
    border-bottom: 1px solid #d7c6ac;
}
/* -----------------------------------------------------------header bottom------------------------------------------ */
.relativeposition{
    position: relative;
    height: 110vh;
    width: 100%;
}
.header-bottom{
    height: 105vh;
    width: 87%;
    position: absolute;
    right: 50%;
    left: 50%;
    transform: translate(-50%, -7%);
    background-color: white;
    box-shadow: 0 0 30px 10px rgba(0, 0, 0, 0.096);
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: white;
    margin-bottom: 20px;
}
.text-hb{
    width: 50%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* border: solid black; */
}
.text-hb h2{
    width: fit-content;
    font-family: jet-bold;
    font-size: 2.5rem;
}
.text-hb p{
    font-size: 2rem;
    font-family: jet-light;
}
.separador{
    border-bottom: 1px solid #231f20;
    width: 40%;
}
/* ------------------------------------------estilos del formulario-------------------------------------- */
.formulario{
    height: fit-content;
}
.form{
    width: fit-content;
    margin: auto;
}
.form_form{
    display: grid;
    gap: 10px;
}
.info-message{
    margin: 10px;
    position: relative;
}
.caja_text{
    width: 300px;
    height: 60px;
    border: none;
    border-bottom: solid #231f20;
    background-color: transparent;
    font-family: jet-bold;
    font-size: 1rem;
    color: black;
    outline: none;
}

.label{
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    color: black;
    font-size: 1rem;
    pointer-events: none;
    transition: .3s ease-in-out;
    font-family: jet-bold;
}
.caja_text:focus{
    background-color: aliceblue;
}
.caja_text:focus ~ .label{
    top: -10px;
    left: 0;
    font-size: 1rem;
    padding: 0 2px;
    border-bottom: 1px solid black;
    background-color: white;
}
input:valid ~ .label,
textarea:valid ~ .label{
    top: -10px;
    left: 15px;
    font-size: 0.7rem;
    padding: 0 2px;
    background-color: white;
}
.buttom{
    margin: auto;
    width: 300px;
    height: 50px;
}
.boton{
    border: none;
    width: 100%;
    height: 100%;
    background-color: #231f20;
    transition: .3s;
}
.boton{
    font-family: jet-black;
    font-size: 1rem;
    color: white;
}
.buttom:hover .boton{
    border-radius: 10px;
    transition: .3s;
    animation: tt .2s;
    animation-iteration-count: 2;
}
@keyframes tt{
    0%{
        transform: rotate(0);
    }
    25%{
        transform: rotate(5deg);
        transition: .2s;
    }
    50%{
        transform: rotate(0);

    }
    75%{
        transform: rotate(-5deg);
        transition: .2s;
    }
    100%{
        transform: rotate(0);
    }
}

/* ----------------------------------------------estilos del banner inicial--------------------------------------- */
.home{
    height: 50vh;
    background-image: url("../img/galeria/cw-photos-11.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}
.info-letras{
    /* border: solid black; */
    width: fit-content;
    height: fit-content;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(15px);
    border-radius: 30px;
}
.athens2{
    font-family: jet-black;
    font-size: 4rem;
    color: white;
}

/* ----------------------------------------------------estilos del fotter------------------------------------------------ */
.fotter{
    /* border: solid black; */
    height: 40vh;
    width: 100%;
    background-color: #171516;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white ;
}
.fotter-flex{
    /* border: solid blue; */
    width: 98%;
    height: 98%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.fot_int{
    /* border: solid yellow; */
    width: 25%;
    height: 100%;

}
.mini_about,
.mini_contact,
.mini_redes,
.mini_services{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    /* align-items: flex-start; */
    font-family: jet-light;
    /* border: solid blue; */
}

.mini_contact,
.mini_redes,
.mini_services{
    justify-content: flex-start;
    padding-top: 30px;
}
.info_contact_fot{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    /* border: solid yellow; */

}
.info_contact_fot a{
    text-decoration: none;
    color: white;
    transition: .2s;
}
.info_contact_fot a:hover{
    border-bottom: 1px solid #d7c6ac;
    transition: .2s;
    color: #d7c6ac;
}
#rightpos{
    align-items: center;
}
#rightpos a{
    width: 50%;
}
#about_img{
    width: 100%;
}
.icon_fot{
    width: 40px;
    height: auto;
}
.boxi{
    gap: 10px;
    display: flex;
    flex-direction: column;
    
}

/* -----------------------------------------------------responsive section-------------------------------------------------- */

@media screen and (max-width: 1030px){
    .span-none{
        display: none;
    }
    .nav_box{
        display: none;
    }
    .nav-box-ham{
        display: block;
    }
    .fotter{
        height: fit-content;
    }
    .fotter-flex{
        flex-direction: column;
    }
    .fot_int{
        width: 80%;
    }
    .textcontact2{
        display: none;
    }
    .header-bottom{
        flex-direction: column;
        height: 55vh;
    }
    .text-hb{
        width: 90%;
        text-align: center;
    }
    .separador{
        margin: auto;
    }
    .relativeposition{
        height: 60vh;
    }
    .mini_about{
        width: fit-content;
    }
    #about_img{
        margin-left: 10%;
    }
}
@media screen and (max-width: 430px){
    .header-bottom{
        height: 75vh;
    }
    .relativeposition{
        height: 80vh;
    }
    .athens{
        display: none;
    }
    .textcontact{
        font-size: 2.5rem;
    }
}